Bug 91572 - ferror reports improperly feof fread
Summary: ferror reports improperly feof fread
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Filesystem support (Show other bugs)
(Show other bugs)
Version: 2.0 beta 1
Hardware: arm7 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-24 16:51 UTC by Andrew "ZACK" Zacharias
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:26:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew "ZACK" Zacharias 2003-05-24 16:51:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a file
2. Read past the end of file
3. call feof
4. call ferror    

Actual Results:  feof returned a non-zero value as expected.
ferror returned a non-zero value

Expected Results:  I believe ferror should return 0 if the EOF condition is 
met. I think EOF is just a condition not an error condition.

Additional info:

Comment 1 Alex Schuilenburg 2003-06-20 16:26:25 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=91572


Note You need to log in before you can comment on or make changes to this bug.